Subject: bug#32743: 27.0.50; down-list RFC

From: Andreas Röhler <[email-masked]>
Date: Sun, 16 Sep 2018 09:17:08 +0200

Hi all,

‘down-list’ currently returns nil if successful but Scan error:
"Containing expression ends prematurely" if no further list exist downwards.

Suggest to return position reached if successful and nil if no further
list exist.

BTW with current or-clause, second expression will be never be
executed due to error thrown as mentioned:

(goto-char (or (scan-lists (point) inc -1) (buffer-end arg)))

Also reaching buffer-end doesn't make sense IMO in this case, point
should not change then while returning nil.

Thanks,
Andreas
gladly running GNU Emacs 27.0.50 (build 1, i686-pc-linux-gnu, GTK+ 
Version 3.14.5) of 2018-09-15